SdFat

Public Member Functions | List of all members
MinimumSerial Class Reference

mini serial class for the SdFat library. More...

`#include <MinimumSerial.h>`

Inheritance diagram for MinimumSerial:
[legend]
Collaboration diagram for MinimumSerial:
[legend]

## Public Member Functions
int | available ()
void | begin (uint32_t baud)
void | flush ()
| operator bool ()
int | read ()
size_t | write (uint8_t b)

## Detailed Description

mini serial class for the SdFat library.

## Member Function Documentation

## ◆ available()

int MinimumSerial::available | ( |  | ) |

Returns
  one if data is available.

## ◆ begin()

void MinimumSerial::begin | ( | uint32_t | baud | ) |

Set baud rate for serial port zero and enable in non interrupt mode. Do not call this function if you use another serial library.

Parameters

  [in] | baud | rate

## ◆ flush()

void MinimumSerial::flush | ( |  | ) |

Wait for write done.

## ◆ operator bool()

MinimumSerial::operator bool | ( |  | ) |
| inline

Returns
  true for hardware serial

## ◆ read()

int MinimumSerial::read | ( |  | ) |

Unbuffered read

Returns
  -1 if no character is available or an available character.

## ◆ write()

size_t MinimumSerial::write | ( | uint8_t | b | ) |

Unbuffered write

Parameters

  [in] | b | byte to write.

Returns
  1

The documentation for this class was generated from the following files:

- Arduino/libraries/SdFat/src/MinimumSerial.h
- Arduino/libraries/SdFat/src/MinimumSerial.cpp